<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!-- This collection of hypertext pages is Copyright 1995, 1996 by Steve Summit. -->
<!-- This material may be freely redistributed and used -->
<!-- but may not be republished or sold without permission. -->
<html>
<head>
<link rev="owner" href="mailto:scs@eskimo.com">
<link rev="made" href="mailto:scs@eskimo.com">
<title>section 7.2: Formatted Output -- Printf</title>
<link href="sx10a.html" rev=precedes>
<link href="sx10c.html" rel=precedes>
<link href="sx10.html" rev=subdocument>
</head>
<body>
<H2>section 7.2: Formatted Output -- Printf</H2>

pages 153-155
<p>To summarize the important points of this section:
<UL><li><TT>printf</TT>'s output goes to the standard output,
just like <TT>putchar</TT>.
<li>Everything in <TT>printf</TT>'s format string
is either
a plain character to be printed as-is,
or a <TT>%</TT>-specifier which
generally
causes one
argument to be consumed, formatted, and printed.
(Occasionally,
a single <TT>%</TT>-specifier consumes
two or three arguments if the width or precision is <TT>*</TT>,
or zero arguments if the specifier is <TT>%%</TT>.)
<li>There's a fairly long list of conversion specifiers;
see the table on page 154.
<li>Always be careful that the conversions you request
(in the format string)
match the arguments you supply.
<li>You can ``print'' to a string
(instead of the standard output)
with <TT>sprintf</TT>.
(This is the usual way of converting numbers to strings in C;
the <TT>itoa</TT> function we were playing with
in section 3.6 on page 64
is nonstandard, and unnecessary.)
</UL></p><hr>
<p>
Read sequentially:
<a href="sx10a.html" rev=precedes>prev</a>
<a href="sx10c.html" rel=precedes>next</a>
<a href="sx10.html" rev=subdocument>up</a>
<a href="top.html">top</a>
</p>
<p>
This page by <a href="http://www.eskimo.com/~scs/">Steve Summit</a>
// <a href="copyright.html">Copyright</a> 1995, 1996
// <a href="mailto:scs@eskimo.com">mail feedback</a>
</p>
</body>
</html>
